漏洞信息详情

mgetty 缓冲区错误漏洞

漏洞简介

mgetty是一款调制解调器处理程序。

mgetty 1.2.1之前版本中的g3/pbm2g3.c文件的‘putwhitespan()’函数存在缓冲区错误漏洞。该漏洞源于网络系统或产品在内存上执行操作时,未正确验证数据边界,导致向关联的其他内存位置上执行了错误的读写操作。攻击者可利用该漏洞导致缓冲区溢出或堆溢出等。

漏洞公告

目前厂商已发布升级补丁以修复漏洞,详情请关注厂商主页:

http://mgetty.greenie.net/

参考网址

来源:www.x41-dsec.de

链接:https://www.x41-dsec.de/lab/advisories/x41-2018-007-mgetty/

来源:nvd.nist.gov

链接:https://nvd.nist.gov/vuln/detail/CVE-2019-1010190

受影响实体

    暂无